Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.debug.core.sourcelookup.containers
Class ProjectSourceContainer

    java.lang.Object
      org.eclipse.core.runtime.PlatformObject
          org.eclipse.debug.core.sourcelookup.containers.AbstractSourceContainer
              org.eclipse.debug.core.sourcelookup.containers.CompositeSourceContainer
                  org.eclipse.debug.internal.core.sourcelookup.containers.ContainerSourceContainer
                      org.eclipse.debug.core.sourcelookup.containers.ProjectSourceContainer

All Implemented Interfaces:
  IAdaptable, ISourceContainer

public class ProjectSourceContainer
extends org.eclipse.debug.internal.core.sourcelookup.containers.ContainerSourceContainer

A project in the workspace. Source is searched for in the root project folder and all folders within the project recursively. Optionally, referenced projects may be searched as well.

Clients may instantiate this class. This class is not intended to be subclassed.

Since:
  3.0

Field Summary
`static String` | `TYPE_ID` Unique identifier for the project source container type (value `org.eclipse.debug.core.containerType.project`).

Fields inherited from class org.eclipse.debug.core.sourcelookup.containers.AbstractSourceContainer
`EMPTY`

Constructor Summary
`ProjectSourceContainer(IProject project, boolean referenced)` Constructs a project source container.

Method Summary
`protected ISourceContainer[]` | `createSourceContainers()` Creates the source containers in this composite container.
`IProject` | `getProject()` Returns the project this source container references.
`ISourceContainerType` | `getType()` Returns this container's type.
`boolean` | `isComposite()` Returns whether this container is a composite container.
`boolean` | `isSearchReferencedProjects()` Returns whether referenced projects are considered.

Methods inherited from class org.eclipse.debug.internal.core.sourcelookup.containers.ContainerSourceContainer
`equals, findSourceElements, getContainer, getName, hashCode`

Methods inherited from class org.eclipse.debug.core.sourcelookup.containers.CompositeSourceContainer
`dispose, findSourceElements, getSourceContainers`

Methods inherited from class org.eclipse.debug.core.sourcelookup.containers.AbstractSourceContainer
`abort, getDirector, getSourceContainerType, init, isFindDuplicates`

Methods inherited from class org.eclipse.core.runtime.PlatformObject
`getAdapter`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Field Detail

### TYPE_ID

    public static final String TYPE_ID

  Unique identifier for the project source container type (value `org.eclipse.debug.core.containerType.project`).

Constructor Detail

### ProjectSourceContainer

    public ProjectSourceContainer(IProject project,
                                  boolean referenced)

  Constructs a project source container.

Parameters:
  `project` - the project to search for source in
  `referenced` - whether referenced projects should be considered

Method Detail

### isSearchReferencedProjects

    public boolean isSearchReferencedProjects()

  Returns whether referenced projects are considered.

  Returns:
    whether referenced projects are considered

### getProject

    public IProject getProject()

  Returns the project this source container references.

  Returns:
    the project this source container references

### getType

    public ISourceContainerType getType()

  Description copied from interface: `ISourceContainer`
  Returns this container's type.

  Returns:
    this container's type

### isComposite

    public boolean isComposite()

  Description copied from interface: `ISourceContainer`
  Returns whether this container is a composite container. A composite container is composed of other source containers. For example, a workspace source container may be composed of project source containers.

### createSourceContainers

    protected ISourceContainer[] createSourceContainers()
                                                 throws CoreException

  Description copied from class: `CompositeSourceContainer`
  Creates the source containers in this composite container. Subclasses should override this methods.

  Throws:
    `CoreException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.